Bug 450849 - virsh does not print a proper error when trying to connect to console on remote vm
virsh does not print a proper error when trying to connect to console on remo...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 08:17 EDT by Issue Tracker
Modified: 2010-10-22 21:50 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:21:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1269 normal SHIPPED_LIVE libvirt bug fix and enhancement update 2009-09-01 05:31:21 EDT

  None (edit)
Description Issue Tracker 2008-06-11 08:17:18 EDT
Escalated to Bugzilla from IssueTracker
Comment 2 Harald Klein 2008-06-11 08:19:26 EDT
as the console feature is unsupported in virsh when using a remote connection,
it should spit out a proper error message.

best regards,
Hari
Comment 4 RHEL Product and Program Management 2008-06-23 21:03:27 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Daniel Veillard 2009-04-15 11:02:45 EDT
Should be fixed in 5.4, current test with libvirt-0.6.2-1.el5 show it is fixed:

[root@test ~]# virsh --connect xen+ssh://root@test2/
Welcome to virsh, the virtualization interactive terminal.

Type:  'help' for help with commands
       'quit' to quit

virsh # console test2
error: Cannot connect to a remote console device

virsh # 

Daniel
Comment 12 errata-xmlrpc 2009-09-02 05:21:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1269.html

Note You need to log in before you can comment on or make changes to this bug.